package com.example.dto;

import com.example.dto.enumeration.BachelorDegree;
import com.example.dto.enumeration.FieldOfStudy;

import java.util.List;

public class CoursesOfStudy
{
    private final int id;
    private final String name;
    private final BachelorDegree bachelorDegree;
    private final int duration;
    private final int fees;
    private final List<Course> courses;
    private FieldOfStudy fieldOfStudy;

    public CoursesOfStudy(int id, String name, BachelorDegree bachelorDegree, int duration, int fees, List<Course> courses, FieldOfStudy fieldOfStudy)
    {
        this.id = id;
        this.name = name;
        this.bachelorDegree = bachelorDegree;
        this.duration = duration;
        this.fees = fees;
        this.courses = courses;
        this.fieldOfStudy = fieldOfStudy;
    }
}
