package com.example.dto;

import com.example.dto.enumeration.Gender;
import com.example.dto.enumeration.Mark;
import com.example.dto.enumeration.Status;

import java.util.List;

public class Lecturer extends UniversityMember {
    public Lecturer(int id, String firstName, String lastName, String placeOfResidence, String birthPlace,
                    String officialEmail, String privateEmail, List<Course> personalCourses, Gender gender, Status status) {
        super(id, gender, firstName, lastName, placeOfResidence, birthPlace,
                officialEmail, privateEmail, personalCourses);
    }

    public boolean rateStudent(Student student, Course course, Mark mark) {
        if (isSignedUpForCourse(course)) {
            return student.setGrade(course, mark);
        }
        return false;
    }


}
